CHCON(1)

NAMN
chcon — ändra filsäkerhetskontext

SYNOPSIS
chcon [FLAGGA]... KONTEXT FIL...
chcon [FLAGGA]... [-u ANVÄNDARE] [-r ROLL] [-l INTVL] [-t TYP] FIL...
chcon [FLAGGA]... --reference=RFIL FIL...

BESKRIVNING

Ändra SELinux-säkerhetskontext för varje FIL till KONTEXT. Med --reference, ändra säkerhetskontext för varje FIL till den hos RFIL.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--dereference
    Ändra referensen för varje symbolisk länk (detta är standard) istället för den symboliska länken själv.

-h, --no-dereference
    Ändra symboliska länkar istället för refererade filer.

-u, --user=ANVÄNDARE
    Sätt användaren ANVÄNDARE i målets säkerhetskontext.

-r, --role=ROLL
    Sätt rollen ROLL i målets säkerhetskontext.

-t, --type=TYP
    Sätt typen TYP i målets säkerhetskontext.

-l, --range=INTERVALL
    Sätt intervallet INTERVALL i målets säkerhetskontext.

--no-preserve-root
    Behandla inte ”/” speciellt (normalfall).

--preserve-root
    Låt bli att arbeta på ”/”.

--reference=RFIL
    Använd RFIL:s säkerhetskontext istället för att ange ett KONTEXTvärde.

-R, --recursive
    Arbeta på filer och kataloger rekursivt.

-v, --verbose
    Skriv ut ett meddelande för varje bearbetad fil.

Följande flaggor modifierar hur en hierarki traverseras när flaggan -R också anges. Om mer än en anges har enbart den sista någon verkan. -P är standard.

-H  om ett kommandoradsargument för ett kommando är en symlänk till en katalog, följ den.

-L  Följ varje symbolisk länk till en katalog som påträffas.

-P  följ inte några symboliska länkar

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

UPPHOVSMAN
Skrivet av Russell Coker och Jim Meyering.

RAPPORTERA FEL
Rapportera fel till: <bug-coreutils@gnu.org>; rapportera synpunkter på översättningen till: <tp-sv@listor.tp-sv.se>.
GNU coreutils hemsida: <https://www.gnu.org/software/coreutils/>
Allmän hjälp med att använda GNU-program: <https://www.gnu.org/gethelp/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/chcon>
eller tillgängligt lokalt via: info '(coreutils) chcon invocation'

Paketerat av Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.